> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Loyalty Points

> Get total available loyalty points for a patient, with redemption rate.



## OpenAPI

````yaml get /user/patient/{patient_id}/loyalty-points/available
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/{patient_id}/loyalty-points/available:
    get:
      tags:
        - Loyalty Points
      summary: Get Available Loyalty Points
      description: Get total available loyalty points for a patient, with redemption rate.
      operationId: >-
        get_available_loyalty_points_user_patient__patient_id__loyalty_points_available_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableLoyaltyPointsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AvailableLoyaltyPointsResponse:
      properties:
        totalAvailable:
          type: integer
          title: Totalavailable
        grants:
          items:
            $ref: '#/components/schemas/AvailableLoyaltyGrant'
          type: array
          title: Grants
        count:
          type: integer
          title: Count
        redemptionRateCentsPerPoint:
          type: integer
          title: Redemptionratecentsperpoint
      type: object
      required:
        - totalAvailable
        - grants
        - count
        - redemptionRateCentsPerPoint
      title: AvailableLoyaltyPointsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AvailableLoyaltyGrant:
      properties:
        grantId:
          type: string
          title: Grantid
        remainingPoints:
          type: integer
          title: Remainingpoints
        totalPoints:
          type: integer
          title: Totalpoints
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        expiryDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expirydate
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - grantId
        - remainingPoints
        - totalPoints
        - createdDate
      title: AvailableLoyaltyGrant
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````